GearmanTask::jobHandle
GearmanTask::returnCode
GearmanTask
PHP Manual

# GearmanTask::recvData

(PECL gearman >= 0.5.0)

GearmanTask::recvData — Read work or result data into a buffer for a task

### Description

public array GearmanTask::recvData ( int `$data_len` )

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`data_len`

  Length of data to be read.

### Return Values

An array whose first element is the length of data read and the second is the data buffer. Returns `FALSE` if the read failed.

### See Also

- GearmanTask::sendData - Send data for a task (deprecated)

GearmanTask::jobHandle
GearmanTask::returnCode
GearmanTask
PHP Manual